%define		modname	http
%define		fmodname	pecl_http
%define		status		stable
Summary:	%{modname} - extended HTTP support
Summary(pl.UTF-8):	%{modname} - rozszerzona obsługa protokołu HTTP
Name:		php-pecl-%{modname}
Version:	1.7.1
Release:	1
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{fmodname}-%{version}.tgz
# Source0-md5:	5047574da6b57741896e0463e84dbd8c
URL:		http://pecl.php.net/package/pecl_http/
BuildRequires:	curl-devel >= 7.12.3
BuildRequires:	openssl-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	zlib-devel >= 1.2.0.4
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Requires:	php-session
Requires:	php-iconv
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This HTTP extension aims to provide a convenient and powerful set of
functionality for one of PHPs major applications.

It eases handling of HTTP urls, dates, redirects, headers and
messages, provides means for negotiation of clients preferred language
and charset, as well as a convenient way to send any arbitrary data
with caching and resuming capabilities.

It provides powerful request functionality, if built with CURL
support. Parallel requests are available for PHP 5 and greater.

Currently implemented features include:
- Building absolute URIs
- RFC compliant HTTP redirects
- RFC compliant HTTP date handling
- Parsing of HTTP headers and messages
- Caching by "Last-Modified" and/or ETag (with 'on the fly' option for
  ETag generation from buffered output)
- Sending data/files/streams with (multiple) ranges support
- Negotiating user preferred language/charset
- Convenient request functions to HEAD/GET/POST if libcurl is
  available
- HTTP auth hooks (Basic)
- PHP5 classes: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie HTTP ma na celu dostarczenie wygodnego i potężnego
zestawu funkcjonalności do jednego z najważniejszych zastosowań PHP.

Ułatwia obsługę adresów HTTP, dat, przekierowań, nagłówków i
wiadmości, dostarcza sposób do negocjacji preferowanego języka i
strony kodowej klienta, jak również wygodnego sposobu wysyłania
dowolnego rodzaju danych z możliwością keszowania oraz wznawiania
transferów.

Rozszerzenie dostarcza potężne możliwości zapytań, jeśli zbudowane
jest ze wsparciem dla CURL. Równoległe zapytania są dostępne od wersji
PHP 5.

Aktualnie zaimplementowane możliwości to między innymi:
- tworzenie bezwzględnych URI
- zgodne z RFC przekierowania HTTP
- zgodna z RFC obsługa daty HTTP
- przetwarzanie nagłówków i wiadomości HTTP
- buforowanie z użyciem "Last-Modified" i/lub ETagów (z opcję
  generowania "w locie" ETagów z buforowanego wyjścia)
- wysyłanie danych/plików/strumieni z obsługą (wielu) przedziałów
- negocjacja preferowanego przez użytkownika języka/zestawu znaków
- wygodne funkcje do żądań HEAD/GET/POST jeśli dostępna jest libcurl
- wywołania HTTP auth (Basic)
- klasy PHP5: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{fmodname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc KnownIssues.txt docs/*
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Oct 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-http.git;a=log;h=AC-branch

* Mon Jun 20 2011 Jacek Konieczny <jajcus@pld-linux.org> b0c10ea
- R: php-session, php-iconv

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> cf35e53
- updated to 1.7.1

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 92d5ab8
- rel 3 (new libevent)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 07b5c6c
- release 2

* Mon Jun 28 2010 Adam Gołębiowski <adamg@pld-linux.org> 768839a
- updated to 1.7.0

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 1d94721
- release 2

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> 7ddadab
- updated to 1.6.6

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 6560c16
- updated to 1.6.5

* Sat Jul 25 2009 Adam Gołębiowski <adamg@pld-linux.org> 4a9a335
- updated to 1.6.4

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> f9b711c
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Feb 13 2009 Adam Gołębiowski <adamg@pld-linux.org> f7370fb
- updated to 1.6.3

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 90fb530
- updated to 1.6.2

* Sun Nov 16 2008 Elan Ruusamäe <glen@pld-linux.org> 4fea869
- release 3

* Tue Aug 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 79dc6ba
- release 2

* Wed Jul 23 2008 Adam Gołębiowski <adamg@pld-linux.org> 8e4af70
- updated to 1.6.1

* Thu Feb 21 2008 Elan Ruusamäe <glen@pld-linux.org> 51eaf72
- release 3

* Thu Feb 21 2008 Elan Ruusamäe <glen@pld-linux.org> 34d6b5a
- release 2

* Mon Nov 26 2007 Adam Gołębiowski <adamg@pld-linux.org> e39fac1
- updated to 1.6.0

* Mon Nov 05 2007 Adam Gołębiowski <adamg@pld-linux.org> 4492f4c
- updated to 1.5.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a5c44f8
- tabs in preamble

